commit 25c7bb8b063777f31db678db743191265f17e7be
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Mar 23 19:08:03 2012 -0700

    xf86-video-neomagic 1.2.6
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 819c8f2119b8db10a6a9e4553cf88d66cff6eb8e
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Dec 19 16:51:31 2011 -0500

    Fix for new vgahw ABI
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 07845a120a674380b6b499961e6c81accfdd6a2e
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Dec 19 16:50:28 2011 -0500

    Fall back to shadowfb when XAA is unavailable
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit f2a771c6d2a2308245a0d46301e579b50fb2b6bd
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Tue Oct 11 10:45:11 2011 -0700

    Include <stdlib.h> for abs()
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit c3cf7e328d7e9c276a3e237dbf9d1772b57a370e
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Tue Oct 11 10:43:51 2011 -0700

    Use malloc/calloc/realloc/free directly
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit a9d69f6d0ab4f66b954949cca016ee7b5b6f7adf
Author: Jesse Adkins <jesserayadkins@gmail.com>
Date:   Tue Sep 28 13:29:51 2010 -0700

    Purge cvs tags.
    
    Signed-off-by: Jesse Adkins <jesserayadkins@gmail.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit dd32df772bdf4462b816bfc2f98ccd18dbb4b930
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 16:49:04 2010 -0400

    config: add comments for main statements

commit 5e0d301758b15fc1916dd0318f2a5549e3482ccf
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 16:07:00 2010 -0400

    config: replace deprecated use of AC_OUTPUT with AC_CONFIG_FILES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 8486ae164b462d50817b84340af13dccc26384ab
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 14:37:41 2010 -0400

    config: replace deprecated AC_HELP_STRING with AS_HELP_STRING
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 2f60a6e4c3be390d4cf0648bdffbdbff67def7ee
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 14:05:22 2010 -0400

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit bcfba240265ecd633fcba051591b6c50b9373a53
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 09:27:42 2010 -0400

    config: complete AC_INIT m4 quoting
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 5759eca769091518fd54e0d70193edc3c099e9bb
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 21:44:57 2010 -0400

    config: remove unrequired AC_SUBST([XORG_CFLAGS])
    
    This macro is called by PKG_CHECK_MODULES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit adb592292e40a5e5f032ca95f3371c6b77227c40
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 20:24:42 2010 -0400

    config: remove unrequired AC_HEADER_STDC
    
    Autoconf says:
    "This macro is obsolescent, as current systems have conforming
    header files. New programs need not use this macro".
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 788fa461f40c320c3b9a67ab9bc914e987eefd42
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 19:41:31 2010 -0400

    config: remove AC_PROG_CC as it overrides AC_PROG_C_C99
    
    XORG_STRICT_OPTION from XORG_DEFAULT_OPTIONS calls
    AC_PROG_C_C99. This sets gcc with -std=gnu99.
    If AC_PROG_CC macro is called afterwards, it resets CC to gcc.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 9ad3e98825d45208ed2754f592527a05949f676d
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 18:45:19 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit eba90ed039416fa5db1800ce695d2a970f43b0e0
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 16:15:29 2010 -0400

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.

commit 77faeb2222ed86622b2d3bf5291b1a7f470b1382
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Jul 5 14:48:07 2010 +1000

    neomagic 1.2.5

commit 73bc0507b0b772717356a7fa8a15442022a8c3c7
Author: Jamey Sharp <jamey@minilop.net>
Date:   Sun Jun 13 17:28:06 2010 -0700

    Revert "Adding experimental pseudocolor overlay stuff to NeoMagic driver."
    
    ajax removed the key parts of that patch two years ago in commit
    dc2a372ad7edf34417d7d7042562b601e4f0041c. This patch reverts the rest of
    commit 57cea11892e956f4e6f07005e05d121fa48c3059, aside from whitespace
    changes.
    
    Signed-off-by: Jamey Sharp <jamey@minilop.net>

commit e2234bd3d37239f5ac0182a3a8b3db23ba5ffbac
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Jun 12 20:44:46 2010 -0400

    COPYING: replace stub file with actual Copyright notices.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit fdfd0902f858d068b8ee100b34249e7a53252d14
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Mar 27 09:55:13 2010 -0400

    config: remove TODO from EXTRA_DIST
    
    Automake always distribute the TODO file.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 958353fc567f989a2c6c6ef73625f99de896a68d
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 15 15:00:16 2010 -0800

    Update Sun license notices to current X.Org standard form
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit dbcbef42e4ea74e20313e4f5437067cc5cfb7024
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Dec 15 22:01:02 2009 -0500

    configure.ac: remove unused sdkdir=$(pkg-config...) statement
    
    The sdkdir variable isn't use, so remove the statement.
    
    Acked-by: Dan Nicholson <dbn.lists@gmail.com>
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 4174c802bdac50bd62981bf548efa84ee15bf2b2
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Dec 30 12:50:10 2009 -0500

    Remove banked framebuffer mode
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit b6633ee77513ccb99a2301e3d3625688c842ce7b
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Dec 30 12:17:52 2009 -0500

    Remove old DGA header stanza
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit eb2b36e969964312afa16e01aa874b52256a3ea9
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Nov 23 09:25:05 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit b28cb14da7e09f0a170a65624242d6112be1ce99
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:41:41 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Automake 'foreign' option is specified in configure.ac.
    Remove from Makefile.am

commit c094377f59080145744b9299f89e290dbd99e37e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:09 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit f34c1b10cce4919533db164212fd4bf166f8be5d
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 12:54:21 2009 -0400

    Several driver modules do not have a ChangeLog target in Makefile.am #23814
    
    The git generated ChangeLog replaces the hand written one.
    Update configure.ac to xorg-macros level 1.3.
    Use XORG_DEFAULT_OPTIONS which replaces four XORG_* macros
    Update Makefile.am to add ChangeLog target if missing
    Remove ChangeLog from EXTRA_DIST or *CLEAN variables
    This is a pre-req for the INSTALL_CMD

commit 8f4212f3cef01e591172ba16c745996fe98f5e29
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:17 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit 4e2afb88212582df60bca3ec8c447965a5a66fd5
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Oct 26 15:43:50 2009 -0400

    s/xf86UDelay/usleep/g
    
    cf. https://bugzilla.redhat.com/show_bug.cgi?id=523800
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit d00a95d0b185ebb753ed9dcbc7b88b4402405972
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Sep 7 11:12:13 2009 -0400

    xf86-video-neomagic: Remove unused .cvsignore file #23776
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit dcfff9bc194f3d86104e281a14226ff489b199ab
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Jul 30 12:04:31 2009 +1000

    neomagic: bump for release 1.2.4

commit ee5229754f87c8859641926bee82c0141727c7c4
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 28 15:22:40 2009 +1000

    neomagic: change to using ABI version check

commit 44c8d148f8a68c13a65fc989adb09b1a675f1a2a
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 28 13:32:31 2009 +1000

    neomagic: update for resources/RAC API removal

commit e822477ae9cb0f7dd859a49e5da3f30993532ca5
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 28 10:32:59 2009 +1000

    neomagic: remove unneeded include

commit 33997831f0ffe61452fac111b51dabffef348b76
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu Jul 2 11:24:20 2009 -0400

    neomagic 1.2.3

commit d97ccdfef1107c7721c838f0cd3fbed5f456dc13
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu May 28 15:07:11 2009 -0400

    Remove useless loader symbol lists.

commit 31e1e1e4a789295545d6924031ba6d56078f9afa
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 9 16:31:03 2009 -0800

    Remove xorgconfig & xorgcfg from See Also list in man page

commit 9bfdc7232a77472c4a1c13c869f6bc52916ce664
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Dec 22 14:37:21 2008 +1000

    neomagic 1.2.2

commit 4eb1e9385e00e8c2a876b3ef4ef8fdc08f78fcca
Author: Adam Jackson <ajax@redhat.com>
Date:   Sun Nov 23 17:40:37 2008 -0500

    Make ISA optional

commit 92f61f85794607ff7d909c5502594a16294ca22e
Author: Adam Jackson <ajax@redhat.com>
Date:   Fri Aug 15 14:06:19 2008 -0400

    Uninclude xf86Version.h

commit 4ac0d4db51de095acc6c3be558b993abfd725842
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed May 21 15:50:10 2008 -0400

    neomagic 1.2.1

commit 9a2a733e8fc337da838cbd081b22a62f9f97de02
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Mon May 12 17:09:50 2008 -0300

    Don't include fbpseudocolor.h, as it is no longer available.

commit 38ca3645e9bded8226aba05c0e5fd6f7fc080c1a
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Sat Mar 15 21:57:46 2008 -0300

    Compile warning fix.
    
      Don't redeclare variable err; cut&paste error that caused warning about
    mixed code and declarations.
      Minor consistency change to neo_pcirename.h.

commit dc2a372ad7edf34417d7d7042562b601e4f0041c
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon May 12 10:51:43 2008 -0400

    fbpseudocolor no longer exists, don't try to use it.

commit 09543c5376f15521820dae14e2e48d3c4a01ba7a
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Mar 19 14:40:18 2008 -0400

    neomagic 1.2.0

commit cd46430570e6de9e4253786c60609bc84c134c32
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Mar 19 14:36:41 2008 -0400

    Death to RCS tags.

commit 0b82e12e40f80d6a4787dc748155d3d05471b272
Author: Dave Airlie <airlied@clockmaker.usersys.redhat.com>
Date:   Mon Mar 10 15:22:05 2008 +1000

    finish pciaccess conversion
    
    thanks to pcpa again

commit 79c04709e21ff37feea031063939c4e396b0a3ad
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sat Mar 8 23:40:30 2008 +0100

    Makefile.am: nuke RCS Id

commit e9da23854dce210d72c209d971effabf41029853
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed Feb 27 13:27:51 2008 +1000

    neo: finish pciaccess conversion

commit e8ee089bc9a46cca015994c95a4e7b2d950c4870
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed Feb 27 11:14:53 2008 +1000

    neomagic: port to libpciaccess

commit dc44c5e32c416e94197db3cde29ca3eea3cd01fe
Author: Brice Goglin <bgoglin@debian.org>
Date:   Tue Aug 7 12:20:00 2007 +0200

    Define NEO_*_VERSION using PACKAGE_VERSION_*

commit 2c84df159e337b43e6664d880fbf04fde7a33d90
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Mar 1 10:51:44 2007 -0800

    renamed: .cvsignore -> .gitignore

commit 5bc75e39c8ce1f891ff45128632d6086e4681524
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Mar 1 10:51:24 2007 -0800

    Replace references to XFree86/XF86Config in man page

commit 9d8cf9f44a27c7bbf7283872af9bf64b29ba5952
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sat Apr 8 01:35:16 2006 +0000

    Bump to 1.1.1 for Xv changes.

commit 4998d9b3a430bfd86c8d8054fa361b499d5a8a7a
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri Apr 7 23:09:50 2006 +0000

    Add a DrawablePtr argument to the XV functions to pave the way for
        redirected video.

commit a68ca4369e55634c8122e5d14dcec4d9a05b14ad
Author: Adam Jackson <ajax@nwnk.net>
Date:   Fri Apr 7 19:24:45 2006 +0000

    Unlibcwrap. Bump server version requirement. Bump to 1.1.0.

commit 3e0451e0bafb2c3fd36b758bae713e38ed1d2200
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 21 02:30:00 2005 +0000

    Update package version for X11R7 release.

commit af44299657fa323d022c96bd5f1c6f3fd671e9d4
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Dec 19 16:25:53 2005 +0000

    Stub COPYING files

commit a6f380ea4151ba53988110ae6d9965a91d17feaa
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:18 2005 +0000

    Update package version number for final X11R7 release candidate.

commit 67b7d68f8c931232f832cff63ade5917cb46cc19
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:35 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit bffb08ff621a99929fc418ad7a072e4caf23a5f7
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:34 2005 +0000

    Update package version number for X11R7 RC3 release.

commit 4271514cdfaa36122d22f28d571814e3eb42795b
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Dec 2 02:16:09 2005 +0000

    Remove extraneous AC_MSG_RESULT.

commit 0e70207585eb2f62eca1510c26190edd64bccf11
Author: Adam Jackson <ajax@nwnk.net>
Date:   Tue Nov 29 23:29:59 2005 +0000

    Only build dlloader modules by default.

commit b41aae412357d0433a025458c82ca86a34f13289
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 28 22:04:09 2005 +0000

    Change *mandir targets to use new *_MAN_DIR variables set by xorg-macros.m4
        update to fix bug #5167 (Linux prefers *.1x man pages in man1 subdir)

commit ffe5004cace662157ac46b36dae47d2ef84dced3
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon Nov 21 10:49:15 2005 +0000

    Add .cvsignores for drivers.

commit 196a61be797f3bbaef0f7e38399b9dc1ffa9b36d
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Nov 15 05:42:03 2005 +0000

    Add check for DGA extension to fix issues when building with separate build
        roots.

commit dfb50a49f52a6d50dd631f362eeed86e031f64e9
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Nov 9 21:15:16 2005 +0000

    Update package version number for X11R7 RC2 release.

commit 94a42748c09bd00b2c47cca3cc20a79556c1c302
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Nov 1 15:08:53 2005 +0000

    Update pkgcheck depedencies to work with separate build roots.

commit 70326ceebecc25bb03427b8c0ff2a7ea18bd7a4e
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:48:03 2005 +0000

    Update package version number for RC1 release.

commit ed2c463fc74fd130654420ab451a2ebe147b21e4
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Oct 18 00:01:53 2005 +0000

    Use @DRIVER_MAN_SUFFIX@ instead of $(DRIVER_MAN_SUFFIX) in macro
        substitutions to work better with BSD make

commit 2fd53a09828beaf0abc0fa0e05777130893cd91d
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Oct 17 22:57:34 2005 +0000

    More 1.7 braindamage: define EXTRA_DIST in terms of @DRIVER_NAME@ instead
        of indirectly

commit 779f221a72f911a8554a895aa8e19e83a74e6ded
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 17 00:09:04 2005 +0000

    Use sed & cpp to substitute variables in driver man pages

commit 392f13b748742e93dfccd3c4bebb323165eb8eb4
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Tue Oct 4 21:36:51 2005 +0000

    Link nvidida readme file into nvidia driver, Exclude duplicated neomagic
        readme

commit a114e9e031bf1250fbb1e03b81927198d376f6e0
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Tue Sep 27 21:09:35 2005 +0000

    Fix capitalization mistake

commit c82ff116e460d5c89cb20a8f94632501b473ad09
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Tue Sep 27 20:53:19 2005 +0000

    Update build system for apm, chips, cirrus, glint, i740, mga, neomagic,
        newport to accomodate various new documentation and utility files.

commit dcfb76cc658d410669d9f78e4262ee1c35696272
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Thu Aug 18 09:03:47 2005 +0000

    Update autogen.sh to one that does objdir != srcdir.

commit 688a609b8ffdc4f448ab5fec572e09f81022f8f8
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:44 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit 8bc434f88799b9690d13bbc01ea24f5090f430aa
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Tue Jul 26 16:52:44 2005 +0000

    Build system for neomagic

commit 2bc76a644f02563d30d17043014e9515a6e0d30b
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Jul 11 02:29:52 2005 +0000

    Prep for modular builds by adding guarded #include "config.h" everywhere.

commit dfdd64a3ddff6103ebe247f3a14e3947dc1bea1c
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sat Jun 25 21:16:55 2005 +0000

    Bug #3626: _X_EXPORT tags for video and input drivers.

commit 5b044752c61f4b12173208ec788aa6e0e07e6f9a
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Wed Apr 20 12:25:28 2005 +0000

    Fix includes right throughout the Xserver tree:
    change "foo.h" to <X11/foo.h> for core headers, e.g. X.h, Xpoll.h;
    change "foo.h", "extensions/foo.h" and "X11/foo.h" to
        <X11/extensions/foo.h> for extension headers, e.g. Xv.h;
    change "foo.[ch]" to <X11/Xtrans/foo.[ch]> for Xtrans files.

commit 6c2581bf480c1fc189f0acc77ae6e6bcfbbfbf4e
Author: Egbert Eich <eich@suse.de>
Date:   Mon Apr 11 09:50:33 2005 +0000

    Fix several mode setting issues:
    - eliminates DoubleScan modes above height == 1024.
    - eliminates interlaced modes as we don't know how to turn on interlace.
    - Fixes clock calculation to prevent lockups.

commit 5f99296eb01ad853cf38c65f26d115767490c81d
Author: Adam Jackson <ajax@nwnk.net>
Date:   Fri Feb 25 16:38:34 2005 +0000

    Bug #2605: Make the cyrix, dummy, glint, neomagic, tga, and trident drivers
        build when BuildXF86DGA NO.
    (also fix some datestamps in the changelog)

commit e3f691e2dde1d10a0a0c95875b653984988adde6
Author: Markus Kuhn <Markus.Kuhn@cl.cam.ac.uk>
Date:   Sat Dec 4 00:43:09 2004 +0000

    Encoding of numerous files changed to UTF-8

commit 18353e7a97fcc69add74c88f7441c1e36740b23d
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Aug 16 09:13:14 2004 +0000

    Bug #1087: Make sure all the *Weak symbols are documented in the import
        list, so the loader knows not to complain about unresolved symbols when
        an optional module isn't loaded. This typically manifests as warnings
        about fbdevHW symbols when the user isn't using the framebuffer
        console.

commit dda5049dd4aa20ba63c52dc301edfaad5ecc1c0d
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sat Jul 31 01:21:18 2004 +0000

    Change several LoaderSymbol calls introduced by the bug #400 patch to
    *Weak() resolver functions.

commit 57cea11892e956f4e6f07005e05d121fa48c3059
Author: Egbert Eich <eich@suse.de>
Date:   Fri Jul 30 22:21:32 2004 +0000

    Adding experimental pseudocolor overlay stuff to NeoMagic driver.

commit d12adabf2dc323f9e26dd13a9d3a7d3573e9612b
Author: Adam Jackson <ajax@nwnk.net>
Date:   Fri Jul 30 20:30:53 2004 +0000

    Bug #400 (partial): Driver fixes for the dlloader. When using dlloader, all
        framebuffer formats except cfb and the overlay modes should work, and
        r128 and radeon need to be loaded from the ati driver (both issues to
        be fixed soon). Tested on i740, s3virge, mach64, tdfx, vesa, and vga
        drivers. elfloader users shouldn't be affected.

commit 610059a15fd94501b011459cd1557d63fb247c0b
Author: Alex Deucher <agd5f@yahoo.com>
Date:   Mon Jul 26 23:14:38 2004 +0000

    - Add Radeon DynamicClocks option
    - Add small fixes and clean ups from ati's last code drop (typo_fixes,
        remove_fudge, laptop, xvfix)
    - fix possible segfault in mga_dri.c (Ryan Underwood)
    - Add Xv support to pre-nm2160 neomagic chipsets

commit 335b5f48e820064b38d3f8a41ac4d9d456dcb8f7
Author: Eric Anholt <anholt@freebsd.org>
Date:   Wed Jun 16 09:23:26 2004 +0000

    DRI XFree86-4_3_99_12-merge import

commit 774a7a61ea1752af6b5b4b7552468aaf11d0db80
Author: Egbert Eich <eich@suse.de>
Date:   Wed May 26 16:24:09 2004 +0000

    Fixing setting of physical framebuffer base for several drivers. C&T
        driver: Fixed setting of minimal clocks for HiQV chipsets. Neomagic
        driver: improved support for lowres double scan modes.

commit b8978749df1558d3dabcc48e38814bba3d06eb3c
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 19:39:11 2004 +0000

    Merging XORG-CURRENT into trunk

commit 722d398c9c7a037780215d4da12a8a399998a4ce
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:33:26 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit 643dd1ccf54508d5a1c006eb036a783273567510
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:12:20 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit 0af5d7a46ea6d8517e6ae90c4a488e072add1cad
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:35:53 2004 +0000

    readding XFree86's cvs IDs

commit f20041598ccb0a22dea1677a42a8fd405aa87995
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:23:20 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit 07ba4256222964890db244b01b24e0e976fec358
Author: Egbert Eich <eich@suse.de>
Date:   Thu Jan 29 08:08:35 2004 +0000

    Importing vendor version xf86-012804-2330 on Thu Jan 29 00:06:33 PST 2004

commit 875dcae6c9027502e744f2988f43915e505b1697
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:28:37 2003 +0000

    XFree86 4.3.99.16 Bring the tree up to date for the Cygwin folks

commit 426b55eb490fc5f65af459eaa4b2b9c711710551
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:55 2003 +0000

    XFree86 4.3.0.1

commit 3685e43cbed68e378856bbf8135a0b5f5d7ac257
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:55 2003 +0000

    Initial revision
